%if ! (0%{?fedora} >= 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-paste-deploy1.5
Version:        1.5.0
Release:        5%{?dist}
Summary:        Load, configure, and compose WSGI applications and servers
Group:          System Environment/Libraries
License:        MIT
URL:            http://pythonpaste.org/deploy
Source0:        http://pypi.python.org/packages/source/P/PasteDeploy/PasteDeploy-%{version}.tar.gz
Source1:        README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# 1.5.0+ dropped Python 2.4 support
BuildRequires: python2-devel > 2.4
BuildRequires: python-setuptools
Requires:       python-paste
Requires:       python-setuptools

%description
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files.  PasteScript provides commands to serve applications based on
this configuration file.

%prep
%setup -q -n PasteDeploy-%{version}
cp -p %{SOURCE1} .

%build
%{__python} setup.py build bdist_egg


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{python_sitelib}
easy_install -m --install-dir %{buildroot}%{python_sitelib} dist/*.egg
find %{buildroot}%{python_sitelib}/PasteDeploy-%{version}-py2.6.egg/paste/ -name '*.py' |
 xargs chmod 0644

%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc README.Fedora docs/*
%{python_sitelib}/*



%changelog
* Tue Apr 24 2012 Pádraig Brady <P@draigBrady.com> 1.5.0-5
- Built parallel installable version for EPEL 6

* Thu Jan 26 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.0-4
- Add dependency on python-setuptools since parts of paste.deploy rely on
  pkg_resources

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 11 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.0-2
- Remove the test directory as it serves no purpose and pollutes the global namespace
  https://bugzilla.redhat.com/show_bug.cgi?id=720055

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 1.3.4-1
- Update to 1.3.4

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jan 28 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.3-2
- Modernise the build

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 1.3.3-1
- Update to 1.3.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3.2-2
- Rebuild for Python 2.6

* Sat Jun 14 2008 Luke Macken <lmacken@redhat.com> - 1.3.2-3
- Update to PasteDeploy 1.3.2

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> - 1.3.1-2
- Update for python-setuptools changes in rawhide

* Sun Jul  8 2007 Luke Macken <lmacken@redhat.com> - 1.3.1-1
- 1.3.1

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> - 1.1-1
- 1.1

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> - 1.0-2
- Add python-devel to BuildRequires
- 1.0

* Sun Sep 17 2006 Luke Macken <lmacken@redhat.com> - 0.9.6-1
- 0.9.6

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> - 0.5-4
- Rebuild for FC6

* Mon Aug 21 2006 Luke Macken <lmacken@redhat.com> - 0.5-3
- Include .pyo files instead of ghosting them.

* Mon Jul 24 2006 Luke Macken <lmacken@redhat.com> - 0.5-2
- Fix docs inclusion
- Rename package to python-paste-deploy
- Fix inconsistent use of buildroots

* Mon Jul 10 2006 Luke Macken <lmacken@redhat.com> - 0.5-1
- Initial package
